/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/**
 * Line up the actions menu with action labels above and below it.
 * Equalize the distance from the left side of the action box to the left side
 * of the icon for both the menu and the non-menu versions of the action box.
 * Also make sure the labels are the same distance away from the icons.
 */
.actionsMenu {
  margin-block: -1px;
  margin-inline: -1px 0;
}

.typeIcon,
.actionIcon {
  margin-inline: 3px;
}

#handlersView > richlistitem label {
  margin-inline-start: 1px;
  margin-top: 2px;
}

#handlersView > richlistitem {
  min-height: 25px;
}

richlistitem[appHandlerIcon="ask"],
menuitem[appHandlerIcon="ask"] {
  list-style-image: url("chrome://browser/skin/preferences/alwaysAsk.png");
}

richlistitem[appHandlerIcon="save"],
menuitem[appHandlerIcon="save"] {
  list-style-image: url("moz-icon://stock/gtk-save?size=menu");
}

richlistitem[appHandlerIcon="plugin"],
menuitem[appHandlerIcon="plugin"] {
  list-style-image: url("chrome://global/skin/plugins/pluginGeneric.svg");
}

.actionsMenu::part(icon) {
  margin-inline: 1px 8px;
  height: 16px;
  width: 16px;
}

.actionsMenu > menupopup > menuitem > .menu-iconic-left {
  padding-inline-start: 0;
  padding-inline-end: 4px !important;
}

.actionsMenu > menupopup > menuitem {
  padding-inline-start: 3px;
}

#appList {
  min-height: 212px;
}

#appList > richlistitem {
  -moz-box-align: center;
}

#appList > richlistitem > image {
  margin: 5px;
  width: 32px;
  height: 32px;
}

#appList > richlistitem > label {
  margin: 0px;
  padding: 5px;
  white-space: nowrap;
}
